Accidental temporary transclusions can result in notification confusion
Closed, ResolvedPublic

Description

As explained at https://en.wikipedia.org/w/index.php?title=User_talk:Newyorkbrad&oldid=561300984#Question_for_TPWs, it goes something like this:

  • editor mistakenly adds {{WP:FOO}} to a talk page;
  • {{WP:FOO}} gets expanded and suddenly a bunch of users get notifications about a mention wherever {{WP:FOO}} was added;
  • editor fixes syntax ({{WP:FOO}}), transclusion goes away, notifications linger causing confusion

Version: unspecified
Severity: normal
URL: https://en.wikipedia.org/w/index.php?title=User_talk:Newyorkbrad&oldid=561300984#Question_for_TPWs
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=48882

bzimport added a project: Echo.Via ConduitNov 22 2014, 1:56 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz50082.
MZMcBride created this task.Via LegacyJun 24 2013, 2:59 AM
Spage added a comment.Via ConduitSep 23 2013, 8:44 PM

Prioritization and scheduling of this bug is tracked on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/218

Legoktm added a comment.Via ConduitOct 18 2013, 7:25 AM

Not really sure if there is much that can be done, you can't take back a notification once it's been sent...

MrStradivarius added a comment.Via ConduitOct 19 2013, 3:14 AM

You could suppress notifications if the transcluded page is over a certain number of bytes, or contains more than a certain number of usernames. (I think that last one might be done already?) Getting the cut-off point right would be hard, though.

Scott added a comment.Via ConduitFeb 19 2014, 11:49 AM

I for one would prefer transclusion not to cause notifications at all, but suspect that someone may well come up with a valid explanation of why that would be throwing the baby out with the bathwater.

Legoktm added a comment.Via ConduitFeb 19 2014, 4:17 PM

(In reply to Scott Martin from comment #4)

I for one would prefer transclusion not to cause notifications at all, but
suspect that someone may well come up with a valid explanation of why that
would be throwing the baby out with the bathwater.

If we did that, things like {{ping}} would stop working.

Scott added a comment.Via ConduitFeb 20 2014, 12:59 PM

See, I knew there would be a good reason. :)

There's just something about how it currently works that doesn't sit well with me - it's either ping everyone or don't substitute at all.

Quiddity added a comment.Via ConduitFeb 24 2014, 6:18 AM

The mention notification threshold was reduced from 300 to 100 in bug 48882. Could we simply lower the limit even further, to something like 10/20/30? (Limits of 10 and 20 were suggested in 48882).

Quiddity added a comment.Via ConduitOct 5 2014, 7:24 AM

The limit was lowered from 100 to 20, in https://gerrit.wikimedia.org/r/#/c/159804/

A few of the devs are discussing overhauling the Echo Mention system to not require a signature, but no decisions/directions yet, afaik.

Quiddity added a comment.Via ConduitOct 5 2014, 7:35 AM

Nope. My mistake. That fix was Flow-specific. I've filed https://trello.com/c/cRjNZzdF/ to do the same in Echo. Sorry :/

gerritbot added a comment.Via ConduitOct 7 2014, 10:27 PM

Change 159800 had a related patch set uploaded by EBernhardson:
Limit Echo mentions to 20 users

https://gerrit.wikimedia.org/r/159800

gerritbot added a comment.Via ConduitOct 27 2014, 3:40 PM

Change 159800 merged by jenkins-bot:
Limit Echo mentions to 20 users

https://gerrit.wikimedia.org/r/159800

Aklapper added a comment.Via ConduitNov 20 2014, 3:01 PM

All patches mentioned in this report were merged - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

werdna removed a subscriber: werdna.Via WebDec 10 2014, 5:02 PM
Quiddity closed this task as "Resolved".Via WebDec 11 2014, 7:37 PM
Quiddity claimed this task.

I've added an explanation to https://www.mediawiki.org/w/index.php?title=Echo_%28Notifications%29/Feature_requirements&diff=1311371&oldid=1270074

  • Only 20 users can be mentioned at once. Any more than that, and the entire group is ignored as a probable mistake. (per [[phab:T52082]])

Closing this ticket, as there doesn't seem to be a better way of resolving the underlying issue, until Echo gets overhauled.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.